Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236626 - dm-mirror: Call to rh_in_sync should be allowed to block in do_reads
Summary: dm-mirror: Call to rh_in_sync should be allowed to block in do_reads
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On: 236624
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-16 20:03 UTC by Jonathan Earl Brassow
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 16:25:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0791 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 6 2007-11-14 18:25:55 UTC

Description Jonathan Earl Brassow 2007-04-16 20:03:40 UTC
+++ This bug was initially created as a clone of Bug #236624 +++

When checking the sync status of a region, there are times when we must not
block.  Like when we are attempting to map I/O for the first time or in a
context that must not block.

do_reads operates in a separate kernel thread and should be allowed to block. 
[Disallowing it to do so means cluster mirroring can never read-balance, among
other things.]

Comment 1 Rob Kenna 2007-04-16 20:59:44 UTC
pm-ack for 4.6

Comment 2 Jonathan Earl Brassow 2007-05-08 16:50:26 UTC
assigned -> post


Comment 4 RHEL Product and Program Management 2007-05-08 17:02:12 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 5 Jason Baron 2007-06-22 14:28:55 UTC
committed in stream U6 build 55.11. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 8 errata-xmlrpc 2007-11-15 16:25:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html



Note You need to log in before you can comment on or make changes to this bug.